CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes
SynchronizedObject.h File Reference
`#include <cppunit/Portability.h>`
Include dependency graph for SynchronizedObject.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | SynchronizedObject
| Base class for synchronized object. More...
class | SynchronizedObject::SynchronizationObject
| Abstract synchronization object (mutex) More...
class | SynchronizedObject::ExclusiveZone
| Locks a synchronization object in the current scope. More...

| hosts this site. |  | Send comments to: CppUnit Developers